GCLOUD_CONTAINER_NODE-POOLS(1)

NAME

gcloud container node-pools - create and delete operations for Google Container Engine node pools

SYNOPSIS

gcloud container node-pools COMMAND [--zone=ZONE, -z ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Create and delete operations for Google Container Engine node pools.

FLAGS

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

COMMANDS
COMMAND is one of the following:

    create
        Create a node pool in a running cluster.

    delete
        Delete an existing node pool in a running cluster.

    describe
        Describe an existing node pool for a cluster.

    list
        List existing node pools for a cluster.

    rollback
        Rollback a node-pool upgrade.